### Method

# FwupdPlugin Plugin add_rule

since: 1.0.0

#### Declaration [src]

    void
    fu_plugin_add_rule (
      FuPlugin* self,
      FuPluginRule rule,
      const gchar* name
    )

#### Description [src]

If the plugin name is found, the rule will be used to sort the plugin list, for example the plugin specified by `name` will be ordered after this plugin when `FU_PLUGIN_RULE_RUN_AFTER` is used.

NOTE: The depsolver is iterative and may not solve overly-complicated rules; If depsolving fails then fwupd will not start.

Available since: 1.0.0

#### Parameters

`rule`

  Type: `FuPluginRule`

  A plugin rule, e.g. `FU_PLUGIN_RULE_CONFLICTS`.

`name`

  Type: `const gchar*`

  A plugin name, e.g. `upower`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.